Как создать группу (объединить элементы)?

Главная Форумы Python Помогите с питон кодом Как создать группу (объединить элементы)?

Помечено: 

В этой теме 2 ответа, 2 участника, последнее обновление  Legantmar 3 года/лет, 11 мес. назад.

Просмотр 3 сообщений - с 1 по 3 (из 3 всего)
  • Автор
    Сообщения
  • #1724 Score: 0

    Legantmar
    Хранитель
    454 pts

    Специально для Александра Попова и тех кто интересовался

    import clr
    clr.AddReference('RevitAPI')
    from Autodesk.Revit.DB import *
    from Autodesk.Revit.DB import ElementTransformUtils, ElementId

    clr.AddReference("System")
    from System.Collections.Generic import List

    clr.AddReference("RevitNodes")
    import Revit
    clr.ImportExtensions(Revit.Elements)

    clr.AddReference("RevitServices")
    import RevitServices
    from RevitServices.Persistence import DocumentManager
    from RevitServices.Transactions import TransactionManager

    doc = DocumentManager.Instance.CurrentDBDocument

    Ids=List[ElementId]()
    for i in IN[0]:
    Ids.Add(UnwrapElement(i).Id)

    TransactionManager.Instance.EnsureInTransaction(doc)
    doc.Create.NewGroup(Ids)
    TransactionManager.Instance.TransactionTaskDone()
    OUT=Ids

    Скачать скрипт

    #1881 Score: 0

    Alexandr Popov
    Модератор
    43 pts

    Спасибо, в тот же день увидел в downloade, сейчас только тему заметил.

    #1883 Score: 0

    Legantmar
    Хранитель
    454 pts
Просмотр 3 сообщений - с 1 по 3 (из 3 всего)

Для ответа в этой теме необходимо авторизоваться.